Skip to main content
POST
/
api
/
organization
/
{organization_id}
/
user
/
{user_id}
/
identifiers
Create Or Update User Identifier
curl --request POST \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/user/{user_id}/identifiers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "integration_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "identifier_key": "<string>",
  "identifier_value": "<string>",
  "discovery_method": "mcp_tool",
  "confidence_score": 123,
  "discovery_metadata": {}
}
'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "integration_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "identifier_key": "<string>",
  "identifier_value": "<string>",
  "discovery_method": "mcp_tool",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "confidence_score": 123,
  "discovery_metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid>
required
user_id
string<uuid>
required

Body

application/json

Model for creating a new user integration identifier.

organization_id
string<uuid>
required

Organization that owns this identifier mapping

user_id
string<uuid>
required

User this identifier belongs to

integration_source_id
string<uuid>
required

Integration source where this identifier is used

identifier_key
string
required

Key/field name for the identifier (e.g., 'owner_id', 'user_email', 'employee_id')

identifier_value
string
required

The actual identifier value

discovery_method
enum<string>
required

Method used to discover this identifier

Available options:
mcp_tool,
llm_discovery,
manual
confidence_score
number | null

Confidence score for LLM-discovered identifiers (0.0-1.0)

discovery_metadata
Discovery Metadata · object

Additional context about the identifier

Response

Successful Response

Response model for user integration identifiers.

organization_id
string<uuid>
required

Organization that owns this identifier mapping

user_id
string<uuid>
required

User this identifier belongs to

integration_source_id
string<uuid>
required

Integration source where this identifier is used

identifier_key
string
required

Key/field name for the identifier (e.g., 'owner_id', 'user_email', 'employee_id')

identifier_value
string
required

The actual identifier value

discovery_method
enum<string>
required

Method used to discover this identifier

Available options:
mcp_tool,
llm_discovery,
manual
id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
confidence_score
number | null

Confidence score for LLM-discovered identifiers (0.0-1.0)

discovery_metadata
Discovery Metadata · object

Additional context about the identifier